/chakra/desktop/oyranos/src/oyranos-0.9.6/src/API_generated/oyObserver_s.h File Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Data Structures | Macros | Typedefs | Enumerations | Functions
oyObserver_s.h File Reference
`#include <oyranos_object.h>`
`#include <oyranos_definitions.h>`
`#include "oyStruct_s.h"`

## Data Structures
struct | oyObserver_s
| Oyranos object observers. More...

## Macros
#define | OY_SIGNAL_BLOCK 0x01

## Typedefs
typedef int(* | oyObserver_Signal_f) (oyObserver_s *observer, oySIGNAL_e signal_type, oyStruct_s *signal_data)
| signal handler type More...

## Enumerations
enum | oySIGNAL_e { , oySIGNAL_CONNECTED, oySIGNAL_RELEASED, oySIGNAL_DATA_CHANGED, oySIGNAL_STORAGE_CHANGED, oySIGNAL_INCOMPATIBLE_DATA, oySIGNAL_INCOMPATIBLE_OPTION, oySIGNAL_INCOMPATIBLE_CONTEXT, oySIGNAL_USER1, oySIGNAL_USER2, oySIGNAL_USER3 }
| observer signalsThe signal types are similiar to the graph event enum oyCONNECTOR_EVENT_e. More...

## Functions
const char * | oySignalToString (oySIGNAL_e signal_type)

## Detailed Description

[Template file inheritance graph] +– oyObserver_s.template.h

Oyranos is an open source Color Management System

Copyright:
  2004-2016 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/BSD-3-Clause

## Macro Definition Documentation

## ◆ OY_SIGNAL_BLOCK

#define OY_SIGNAL_BLOCK 0x01

do not send new signals

## Typedef Documentation

## ◆ oyObserver_Signal_f

typedef int(* oyObserver_Signal_f) (oyObserver_s *observer, oySIGNAL_e signal_type, oyStruct_s *signal_data)

signal handler type

Parameters

  [in] | observer | the actual observer
  [in] | signal_type | the sent signal type
  [in,out] | signal_data | the sent signal data to analyse or manipulate

Returns
  error

Version
  Oyranos: 0.1.10

Date
  2009/10/26

Since
  2009/10/26 (Oyranos: 0.1.10)

## Function Documentation

## ◆ oySignalToString()

const char* oySignalToString | ( | oySIGNAL_e | signal_type | ) |

< connection established

< released the connection

< call to update image views

< new data accessors

< can not process image

< can not handle option

< can not handle profile

< more signal types are possible